J3.x

Mise à jour de 3.7.x à 3.7.1: expiration

From Joomla! Documentation

This page is a translated version of the page J3.x:Update from 3.7.x to 3.7.1 Timeout and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎Nederlands

Erreurs signalées

Problème d'expiration lors de la mise à jour.

Versions affectées

Informations générales

Ceci ne concerne que les versions Joomla! : 3.7.x

Quelle en est la cause ?

Étant donné que nous avons implémenté une fonctionnalité de réinstallation en 3.6.0, nous avons toujours besoin du paquet complet (plus volumineux) Joomla_3.7.x-Stable-Update_Package.zip (10Mb) sur le serveur de mise à jour. Pour certains serveurs, cela peut entrainer des arrêts de la mise à jour ou du téléchargement du paquet de mise à jour.

Comment résoudre l'anomalie ?

Si cette anomalie survient sur votre site, veuillez utiliser le tableau ci-dessous pour trouver le bon paquet.

Version actuelle Paquet
3.6.0/3.6.1/etc.. Joomla_3.7.1-dev-Development-Update_Package.zip (10Mb)
3.7.0 Joomla_3.7.x_to_3.7.1-dev-Development-Patch_Package.zip (837Kb)

A noter : Ce contournement est uniquement valable pour les mises à jour dans une série mineure (i.e. 3.6.x à 3.6.5). Pour les mises à jours entre les séries mineures (i.e. 3.5 vers 3.6 ou 3.6 vers 3.7) le paquet de mise à jour est toujours utilisé. Si vous expérimentez des problèmes de mise à jour en utilisant les paquets les plus gros, vous devriez contacter votre fournisseur d'accès pour mettre à jour les paramètres.

Il y a une PR (Pull Request) pour différencier entre une mise à jour et une réinstallation : https://github.com/joomla/joomla-cms/pull/11497 tant que ce n'est pas mergé, nous devons utiliser ce contournement sur les sites qui s’interrompent en utilisant le paquet complet.